> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a licence key

> Callers poll this to check subscription validity. Rate-limited per key.



## OpenAPI

````yaml /openapi/swarmd.json post /licence/v1/verify
openapi: 3.1.0
info:
  title: Relay
  version: v0
servers:
  - url: https://api.dev.swarmd.ai
    description: Development
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Evaluation Packs
    x-displayName: Evaluation Packs
  - name: Webhooks
    x-displayName: Webhooks
  - name: MCP JSON-RPC
    x-displayName: MCP JSON-RPC
  - name: Conversations
    x-displayName: Conversations
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: LLM Runtime
    x-displayName: LLM Runtime
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: LLM Gateways
    x-displayName: LLM Gateways
  - name: Agents
    x-displayName: Agents
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: LLM Providers
    x-displayName: LLM Providers
  - name: LLM Gateway Subscriptions
    x-displayName: LLM Gateway Subscriptions
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: Audit Monitors
    x-displayName: Audit Monitors
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: Audit Dashboard
    x-displayName: Audit Dashboard
  - name: A2A Payments
    x-displayName: A2A Payments
  - name: Licence Verification
    x-displayName: Licence Verification
  - name: ECR Credentials
    x-displayName: ECR Credentials
paths:
  /licence/v1/verify:
    post:
      tags:
        - Licence Verification
      summary: Verify a licence key
      description: Callers poll this to check subscription validity. Rate-limited per key.
      operationId: verifyLicence
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Licence_VerifyRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Licence_VerifyResponse'
      security:
        - Licence_bearerAuth: []
components:
  schemas:
    Licence_VerifyRequest:
      type: object
      properties:
        licenceKey:
          type: string
          minLength: 1
        installId:
          type: string
          format: uuid
      required:
        - licenceKey
    Licence_VerifyResponse:
      type: object
      properties:
        result:
          type: string
          enum:
            - VALID
            - NOT_YET_STARTED
            - IN_GRACE_PERIOD
            - EXPIRED
            - SUSPENDED
            - REVOKED
            - INVALID_KEY
        status:
          type: string
          enum:
            - PENDING
            - TRIAL
            - ACTIVE
            - IN_GRACE
            - EXPIRED
            - SUSPENDED
            - REVOKED
            - UNKNOWN
        tier:
          type: string
          enum:
            - STARTER
            - BUSINESS
            - ENTERPRISE
            - UNKNOWN
        expiresAt:
          type: string
          format: date-time
        gracePeriodDays:
          type: integer
          format: int32
        verifiedAt:
          type: string
          format: date-time
        warning:
          type: string
  securitySchemes:
    Licence_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````